Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.provider
Class SdItemProviderAdapterFactory.MetaABMChildCreationExtender

    java.lang.Object
      org.eclipse.amp.amf.sd.provider.SdItemProviderAdapterFactory.MetaABMChildCreationExtender

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IChildCreationExtender

Enclosing class:
  SdItemProviderAdapterFactory

    public static class SdItemProviderAdapterFactory.MetaABMChildCreationExtender

extends java.lang.Object
implements org.eclipse.emf.edit.provider.IChildCreationExtender

A child creation extender for the `MetaABMPackage`.

Nested Class Summary
`protected static class` | `SdItemProviderAdapterFactory.MetaABMChildCreationExtender.CreationSwitch` The switch for creating child descriptors specific to each extended class.

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Constructor Summary
`SdItemProviderAdapterFactory.MetaABMChildCreationExtender()`

Method Summary
`java.util.Collection<java.lang.Object>` | `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SdItemProviderAdapterFactory.MetaABMChildCreationExtender

    public SdItemProviderAdapterFactory.MetaABMChildCreationExtender()

Method Detail

### getNewChildDescriptors

    public java.util.Collection<java.lang.Object> getNewChildDescriptors(java.lang.Object object,
                                                                         org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD